summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authordasbaumwolltier2019-10-06 19:50:22 +0200
committerdasbaumwolltier2019-10-06 19:50:22 +0200
commitdf64310b25f0978a218f1e9246ac99a266f510b6 (patch)
tree8cab54e82ce206f3f2467eea52061a973b03c579
parentf454dca3ebaf2dd2ad0748e2aa74cf962117b468 (diff)
downloadaur-df64310b25f0978a218f1e9246ac99a266f510b6.tar.gz
fixed dependencies
-rw-r--r--.SRCINFO3
-rw-r--r--PKGBUILD10
2 files changed, 8 insertions, 5 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 582fea86e2b..679c96a7b4e 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -6,9 +6,10 @@ pkgbase = git-interactive-rebase-tool
install = git-interactive-rebase-tool.install
arch = x86_64
license = ISC
+ makedepends = git
makedepends = rust
makedepends = cargo
- depends = git
+ depends = rust
source = git+https://github.com/MitMaro/git-interactive-rebase-tool.git
sha256sums = SKIP
diff --git a/PKGBUILD b/PKGBUILD
index 03642acbdb9..89395029125 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -7,8 +7,8 @@ pkgdesc='Native cross platform full feature terminal based sequence editor for g
arch=('x86_64')
url='https://github.com/MitMaro/git-interactive-rebase-tool'
license=('ISC')
-depends=('git')
-makedepends=('rust' 'cargo')
+depends=('rust')
+makedepends=('git' 'rust' 'cargo')
install=$pkgname.install
sha256sums=('SKIP')
source=('git+https://github.com/MitMaro/git-interactive-rebase-tool.git')
@@ -22,8 +22,10 @@ prepare() {
build() {
cd $pkgname
- if [ $(rustup default > /dev/null 2>&1; echo $?) -ne 0 ]; then
- rustup default stable
+ if [ $(which rustup > /dev/null 2>&1; echo $?) -eq 0 ]; then
+ if [ $(rustup default > /dev/null 2>&1; echo $?) -ne 0 ]; then
+ rustup default stable
+ fi
fi
cargo build --release